"use strict";

var _compile = _interopRequireDefault(require("../../test/utils/compile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Array.prototype.fill', () => {
  it('should replace Array.prototype.fill with a polyfill', () => {
    const result = (0, _compile.default)(`
      Array(10).fill()
    `);
    expect(result).toMatchSnapshot();
  });
  it('should not import polyfill more than once', () => {
    const result = (0, _compile.default)(`
      Array(10).fill()
      Array(10).fill(2)
    `);
    expect(result).toMatchSnapshot();
  });
});