"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isPolyfillPath;

var _path = require("path");

function normalize(pathToNormalize) {
  return pathToNormalize.replace(/[/\\]/g, _path.sep);
}

const ROOT = normalize(`${(0, _path.resolve)(__dirname, '..', '..')}${_path.sep}`.replace(/[\\/]/g, '\\'));

function isPolyfillPath(pathToNormalize) {
  return normalize(pathToNormalize).startsWith(ROOT);
}